#include <stdio.h>


typedef unsigned long long llu;
llu stepen(llu n)
{
    llu p=10;
    for(short int i=0;i<=18;i++)
    {
        if(n<p) return p/10;
        p*=10;
    }

    return 1;
}
int main()
{
    llu ostatak,brojNovcanica=0;
    scanf("%llu",&ostatak);
    llu t=1;
    short int i=1;
    while (ostatak!=0)
    {
        i=5;
        t=stepen(ostatak);
        brojNovcanica+=(ostatak/(i*t));
        ostatak=ostatak%(i*t);
        if(ostatak!=0)
        {
            i=2;
            brojNovcanica+=(ostatak/(i*t));
            ostatak=ostatak%(i*t);
        }
        if(ostatak!=0)
        {
            i=1;
            brojNovcanica+=(ostatak/(i*t));
            ostatak=ostatak%(i*t);
        }
    }

    printf("%llu",brojNovcanica);


    return 0;
}